Searched refs:FAIL (Results 1 - 25 of 195) sorted by relevance

12345678

/freebsd-current/contrib/googletest/googletest/test/
H A Dgoogletest-failfast-unittest_.cc49 TEST_F(HasFixtureTest, Test1) { FAIL() << "Expected failure."; }
51 TEST_F(HasFixtureTest, Test2) { FAIL() << "Expected failure."; }
53 TEST_F(HasFixtureTest, Test3) { FAIL() << "Expected failure."; }
55 TEST_F(HasFixtureTest, Test4) { FAIL() << "Expected failure."; }
61 TEST(HasSimpleTest, Test1) { FAIL() << "Expected failure."; }
63 TEST(HasSimpleTest, Test2) { FAIL() << "Expected failure."; }
65 TEST(HasSimpleTest, Test3) { FAIL() << "Expected failure."; }
67 TEST(HasSimpleTest, Test4) { FAIL() << "Expected failure."; }
73 TEST(HasDisabledTest, DISABLED_Test1) { FAIL() << "Expected failure."; }
75 TEST(HasDisabledTest, Test2) { FAIL() << "Expecte
[all...]
H A Dgoogletest-filter-unittest_.cc49 TEST_F(FooTest, Xyz) { FAIL() << "Expected failure."; }
59 TEST(BarTest, DISABLED_TestFour) { FAIL() << "Expected failure."; }
61 TEST(BarTest, DISABLED_TestFive) { FAIL() << "Expected failure."; }
65 TEST(BazTest, TestOne) { FAIL() << "Expected failure."; }
71 TEST(BazTest, DISABLED_TestC) { FAIL() << "Expected failure."; }
83 TEST(DISABLED_FoobarTest, Test1) { FAIL() << "Expected failure."; }
85 TEST(DISABLED_FoobarTest, DISABLED_Test2) { FAIL() << "Expected failure."; }
89 TEST(DISABLED_FoobarbazTest, TestA) { FAIL() << "Expected failure."; }
H A Dgoogletest-global-environment-unittest_.cc42 void SetUp() override { FAIL() << "Canned environment setup error"; }
50 TEST(SomeTest, DoesFoo) { FAIL() << "Unexpected call"; }
H A Dgoogletest-death-test_ex_test.cc54 FAIL() << "An exception escaped a death test macro invocation "
H A Dgtest_xml_output_unittest_.cc69 FAIL() << "Unexpected failure: Disabled test should not be run";
99 FAIL() << "Unexpected failure: Disabled test should not be run";
103 FAIL() << "XML output: "
110 FAIL() << "Invalid characters in brackets [\x1\x2]";
/freebsd-current/contrib/bmake/unit-tests/
H A Dvar-eval-short.exp1 make: "var-eval-short.mk" line 46: while evaluating "${:Uword:@${FAIL}@expr@}": In the :@ modifier, the variable name "${FAIL}" must not contain a dollar
2 make: "var-eval-short.mk" line 46: Malformed conditional (0 && ${:Uword:@${FAIL}@expr@})
3 Parsing line 159: .if 0 && ${0:?${FAIL}then:${FAIL}else}
4 CondParser_Eval: 0 && ${0:?${FAIL}then:${FAIL}else}
5 Var_Parse: ${0:?${FAIL}then:${FAIL}else} (parse-only)
7 Var_Parse: ${FAIL}the
[all...]
H A Dvar-eval-short.mk14 FAIL= ${:!echo unexpected 1>&2!} macro
23 .if 0 && ${FAIL}
26 .if 0 && ${VAR::=${FAIL}}
31 .if 0 && ${${FAIL}:?then:else}
34 .if 0 && ${1:?${FAIL}:${FAIL}}
37 .if 0 && ${0:?${FAIL}:${FAIL}}
40 # Before var.c 1.870 from 2021-03-14, the expression ${FAIL} was evaluated
44 # expect+2: while evaluating "${:Uword:@${FAIL}
[all...]
/freebsd-current/contrib/googletest/googlemock/test/
H A Dgmock_ex_test.cc66 FAIL() << "GetNonDefaultConstructible()'s return type has no default "
69 FAIL() << "Google Test does not try to catch an exception of type "
/freebsd-current/sys/contrib/openzfs/tests/test-runner/bin/
H A Dzts-report.py.in31 # Test: /path/to/testc (run as root) [00:00] [FAIL]
35 # FAIL 22
159 'casenorm/mixed_none_lookup_ci': ['FAIL', 7633],
160 'casenorm/mixed_formd_lookup_ci': ['FAIL', 7633],
162 ['FAIL', rewind_reason],
167 'refreserv/refreserv_004_pos': ['FAIL', known_reason],
170 'vdev_zaps/vdev_zaps_007_pos': ['FAIL', known_reason],
176 ['FAIL', known_reason],
190 'casenorm/mixed_formd_lookup': ['FAIL', 7633],
191 'casenorm/mixed_formd_delete': ['FAIL', 763
[all...]
/freebsd-current/contrib/netbsd-tests/net/net/
H A Dt_tcp.c58 #define FAIL(msg, ...) err(EXIT_FAILURE, msg, ## __VA_ARGS__) macro
61 #define FAIL(msg, ...) ATF_CHECK_MSG(0, msg, ## __VA_ARGS__); goto fail macro
85 FAIL("socket");
96 FAIL("bind");
101 FAIL("getsockname");
105 FAIL("listen");
109 FAIL("socket");
114 FAIL("expected connect to fail");
118 FAIL("connect failed");
123 FAIL("fnct
[all...]
H A Dt_unix.c64 #define FAIL(msg, ...) err(EXIT_FAILURE, msg, ## __VA_ARGS__) macro
68 #define FAIL(msg, ...) \ macro
112 FAIL("accept");
114 FAIL("guard1 = '%c'", guard1);
116 FAIL("guard2 = '%c'", guard2);
121 FAIL("len %d != 2", len);
123 FAIL("sun->sun_family %d != AF_UNIX", sun.sun_family);
126 FAIL("sun->sun_len %d != 2", sun.sun_len);
130 FAIL("sun.sun_path[%zu] %d != NULL", i,
150 FAIL("socke
[all...]
/freebsd-current/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/privs/
H A Dtst.kpriv.ksh27 #define FAIL \
32 BEGIN { badsubr = "func()"; func((void *)&\`utsname); FAIL }
35 BEGIN { badsubr = "func()"; func((void *)&\`utsname, arg1); FAIL }
38 BEGIN { badsubr = "func() (arg1)"; func(arg0, (void *)&\`utsname); FAIL }
41 BEGIN { badsubr = "func()"; func((void *)&\`utsname, arg1, arg2); FAIL }
/freebsd-current/tools/test/stress2/misc/
H A Dptrace4.sh48 echo FAIL
H A Dselect3.sh36 echo FAIL
H A Dmdconfig2.sh38 { echo FAIL; ls -l /dev/md$mdstart; mdconfig -lv; exit 1; }
46 { echo FAIL; ls -l /dev/md$mdstart; mdconfig -lv; exit 3; }
H A Dopen.sh47 /tmp/open || { echo FAIL; status=$?; }
48 [ -f broken -o -f broken2 ] && { ls -l; echo FAIL; status=1; }
H A Ddup2.sh41 /tmp/dup2 || { echo FAIL; exit 1; }
H A Dcompare.sh42 cmp $d1 $d2 && s=0 || { echo FAIL; s=1; }
/freebsd-current/tools/regression/security/cap_test/
H A Dcap_test_capmode.c57 FAIL("capmode: %s failed with ECAPMODE", #syscall); \
159 FAIL("capmode:waitpid");
161 FAIL("capmode:waitpid succeeded");
164 FAIL("capmode:fork");
167 FAIL("test_sycalls:getlogin %d", errno);
171 FAIL("capmode:getsockname");
180 FAIL("capmode:pipe");
189 FAIL("capmode:no sysarch() test for current architecture");
H A Dcap_test.h48 #define FAIL(...) do { \ macro
69 FAIL("%s() at line %d: %s failed", \
77 FAIL("%s() at line %d: %s", \
89 FAIL("%s() at line %d: %s", \
H A Dcap_test_pdkill.c79 FAIL("pdgetpid");
85 FAIL("pdkill");
/freebsd-current/tests/sys/file/
H A Dflock_helper.c128 #define FAIL(test) \ macro
131 printf("FAIL (%s)\n", #test); \
160 FAIL(fl1.l_start != fl2.l_start);
161 FAIL(fl1.l_len != fl2.l_len);
162 FAIL(fl1.l_pid != fl2.l_pid);
163 FAIL(fl1.l_type != F_UNLCK);
164 FAIL(fl1.l_whence != fl2.l_whence);
166 FAIL(fl1.l_sysid != fl2.l_sysid);
234 FAIL(res == 0);
235 FAIL(errn
[all...]
/freebsd-current/contrib/arm-optimized-routines/pl/math/test/
H A Drunulp.sh20 FAIL=0
38 $emu ./ulp -e $L $flags ${extra_flags} $routine $ITV $4 && PASS=$((PASS+1)) || FAIL=$((FAIL+1))
75 [ 0 -eq $FAIL ] || {
76 echo "FAILED $FAIL PASSED $PASS"
/freebsd-current/contrib/wpa/src/eap_server/
H A Deap_server_tnc.c19 FAIL enumerator in enum:eap_tnc_data::eap_tnc_state
56 case FAIL:
57 return "FAIL";
114 eap_tnc_set_state(data, FAIL);
182 eap_tnc_set_state(data, FAIL);
186 eap_tnc_set_state(data, FAIL);
261 eap_tnc_set_state(data, FAIL);
269 if (data->state == FAIL)
315 case FAIL:
389 eap_tnc_set_state(data, FAIL);
[all...]
/freebsd-current/contrib/ncurses/progs/
H A Ddump_entry.h89 #define FAIL -1 macro

Completed in 129 milliseconds

12345678